[Overview][Constants][Procedures and functions][Index] | Reference for unit 'DateUtils' (#rtl)

# DaysBetween

Number of whole days between two TDateTime values.

## Declaration

Source position: dateutil.inc line 272

`function DaysBetween(`
`const ANow: TDateTime;`
`const AThen: TDateTime`
`):Integer;`

## Arguments

`ANow` |  | First date
`AThen` |  | Second date

## Function result

Number of whole days between ANow and AThen.

## Description

DaysBetween returns the number of whole days between ANow and AThen. This means the fractional part of a day (hours, minutes, etc.) is dropped.

## See also

YearsBetween |  | Calculate the number of whole years between two TDateTime values
MonthsBetween |  | Calculate the number of whole months between two TDateTime values
WeeksBetween |  | Calculate the number of whole weeks between two TDateTime values
HoursBetween |  | Calculate the number of whole hours between two TDateTime values.
MinutesBetween |  | Calculate the number of whole minutes between two TDateTime values.
SecondsBetween |  | Calculate the number of whole seconds between two TDateTime values.
MilliSecondsBetween |  | Calculate the number of whole milliseconds between two TDateTime values.

## Example

    Program Example58;

    { This program demonstrates the DaysBetween function }

    Uses SysUtils,DateUtils;

    Procedure Test(ANow,AThen : TDateTime);

    begin
     Write('Number of days between ');
     Write(DateTimeToStr(AThen),' and ',DateTimeToStr(ANow));
     Writeln(' : ',DaysBetween(ANow,AThen));
    end;

    Var
      D1,D2 : TDateTime;

    Begin
      D1:=Now;
      D2:=Today-23/24;
      Test(D1,D2);
      D2:=Today-1;
      Test(D1,D2);
      D2:=Today-25/24;
      Test(D1,D2);
      D2:=Today-26/24;
      Test(D1,D2);
      D2:=Today-5.4;
      Test(D1,D2);
      D2:=Today-2.5;
      Test(D1,D2);
    End.